#
# Copyright (c) 2012 Canonical
#
# This file is part of Checkbox.
#
# Storm is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of
# the License, or (at your option) any later version.
#
# Storm is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
__metaclass__ = type

__all__ = []

from unittest import TestCase

from checkbox.journal.score import Score


class TestScore(TestCase):

    def test_init(self):
        score = Score()
        score = Score(0)
        score = Score(1)

    def test_cmp(self):
        a = Score()
        b = Score()
        self.assertEquals(cmp(a, b), 0)

        a.value = 1
        self.assertEquals(cmp(a, b), 1)
        self.assertEquals(cmp(1, b), 1)

        b.value = 2
        self.assertEquals(cmp(a, b), -1)
        self.assertEquals(cmp(a, 2), -1)
