#
# Copyright (c) 2012 Canonical
#
# This file is part of Checkbox.
#
# Storm is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of
# the License, or (at your option) any later version.
#
# Storm is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
Attributes = type("Attributes", (object,), dict(
    HOLD_SIG="hold_signal",
    KILL_SIG="kill_signal",
    REMOVE_SIG="remove_signal",

    PID_COUNT="pid_count",

    EXIT_BY_SIGNAL="exit_by_signal",
    EXIT_SIGNAL="exit_signal",
    EXIT_CODE="exit_code",

    JOB_COMMAND="command",
    JOB_ORIGINAL_COMMAND="original_command",
    JOB_DIRECTORY="directory",
    JOB_ORIGINAL_DIRECTORY="original_directory",
    JOB_ARGUMENTS="arguments",
    JOB_INPUT="input",
    JOB_OUTPUT="output",
    JOB_ERROR="error",
    JOB_PID="pid",
    JOB_START_TIME="start_time",
    JOB_EXIT_TIME="exit_time",

    CLUSTER_ID="cluster_id",
    PROC_ID="proc_id",
    SUBPROC_ID="subproc_id"))
