#
# Copyright (c) 2012 Canonical
#
# This file is part of Checkbox.
#
# Storm is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of
# the License, or (at your option) any later version.
#
# Storm is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
__metaclass__ = type

__all__ = [
    "Usage",
    ]


class Usage:

    __slots__ = (
        "user_cpu_time",
        "sys_cpu_time",
        "percent_cpu",
        "max_image_size",
        "total_image_size",
        "process_count",
        )

    def __init__(self):
        self.user_cpu_time = 0
        self.sys_cpu_time = 0
        self.percent_cpu = 0.0
        self.max_image_size = 0
        self.total_image_size = 0
        self.process_count = 0
